{ nodes, ... }:
{
  nix = {
    settings = {
      max-jobs = 0;
      trusted-users = [ "root" ];
    };

    distributedBuilds = true;
    buildMachines = with nodes; [
      {
        hostName = midas.config.deployment.targetHost;
        system = midas.config.nixpkgs.localSystem.system;
      }
      {
        hostName = kitty.config.deployment.targetHost;
        system = kitty.config.nixpkgs.localSystem.system;
      }
      {
        hostName = prophet.config.deployment.targetHost;
        system = prophet.config.nixpkgs.localSystem.system;
      }
      {
        hostName = detritus.config.deployment.targetHost;
        system = detritus.config.nixpkgs.localSystem.system;
      }
      {
        hostName = elder.config.deployment.targetHost;
        system = elder.config.nixpkgs.localSystem.system;
      }
    ];
  };
}
